<?
# Автор движка: InstalScript
# vk.com/k.karamin  - Я Вк
# bymas.ru/id3741  - Я на бумасе
# Специально для обитателей bymas.ru
# Ток на бумасе можно найти моды для данного движка
require_once($_SERVER['DOCUMENT_ROOT']."/instalscript/game/inc/function.php");
head("Амуниция",$uid);


$obm = floor($user['silver']/100);# Золото
$osi = $obm*100; #Серебро


switch($is['1']){
default:
echo "
<div class='trnt-block mb6'>
<div class='wrap1'><div class='wrap2'><div class='wrap3'><div class='wrap4'><div class='wrap5'><div class='wrap6'><div class='wrap7'><div class='wrap8'>
<div class='wrap-content'>
<div class='white small bold sh_b mb5 cntr'>";
echo "<a class='simple-but border gray mb1' href='/angar/amunition/'><span><span>Моя амуниция</span></span></a>";
echo "</div>";

$count = mysql_result(mysql_query("SELECT COUNT(*) FROM  `amunition` "),0);


$str = '5'; # кол-во записей для вывода
$url = "/magazine"; # ссылка
$num = abs($is['1']); # текущая страница
$result = $count; # подсчёт



$q = mysql_query("SELECT * FROM `amunition` ORDER BY `type` DESC LIMIT ".page($num,$str,$result).",$str ");

while($a = mysql_fetch_assoc($q)){
echo "<a class='simple-but border mb1' href='/magazine/view/".$a['id']."/'><span><span style = 'text-align: left;'>".$a['name']."</span></span></a>";
}


echo "
</div>
</div></div></div></div></div></div></div></div>
</div>";


ppage($url,$num,$str,$result);
break;




case'view':
echo "
<div class='trnt-block'>
<div class='wrap1'><div class='wrap2'><div class='wrap3'><div class='wrap4'><div class='wrap5'><div class='wrap6'><div class='wrap7'><div class='wrap8'>
<div class='wrap-content'> ";

$inf = mysql_fetch_assoc(mysql_query("SELECT * FROM `amunition` WHERE `id` = '".abs($is['2'])."' ")); #or die(mysql_error());
if($inf == null){echo "Товар не найден";}else{


if($user['rules'] == '10'){
if($is['3'] == 'admin'){

if($is['4'] == 'go'){
$img = check($_POST['img']);
$name = check($_POST['name']);
$info = check($_POST['info']);
$silver = abs($_POST['silver']);
$gold = abs($_POST['gold']);
$type = check($_POST['type']);
if($type == 'rekomolekt' or $type == 'aptechka' or $type == 'ognetushitel' or $type == 'toplivo' or $type == 'snaryadBB' or $type == 'snaryadOF' or $type == 'snaryadKS' or $type == 'pitanie'){$type = 'rekomolekt';}
$xp = abs($_POST['xp']);
if($xp > '100' or $xp <= '0'){$xp = mt_rand('1','100');}
mysql_query("UPDATE `amunition` SET `img` = '".$img."',`name` = '".$name."',`info` = '".$info."',`silver` = '".$silver."',`gold` = '".$gold."',`type` = '".$type."',`xp` = '".$xp."' WHERE `id` = '".$inf['id']."' ")or die(mysql_error());
header("Location:/magazine/view/".$inf['id']."/");
}





echo "
Админ - управление</br>
<form action = '/magazine/view/1/admin/go/' method = 'post'>
Картинка
<input name = 'img' type = 'text' value = '".$inf['img']."' ></br>
Название
<input name = 'name' type = 'text' value = '".$inf['name']."' ></br>
Описание
<textarea name = 'info'>".$inf['info']."</textarea></br>
Цена в серебре
<input name = 'silver' type = 'text' value = '".$inf['silver']."' ></br>
Цена в золоте
<input name = 'gold' type = 'text' value = '".$inf['gold']."' ></br>
Тип";

if($inf['type'] == 'rekomolekt'){$text = 'Рекомлект';$type = 'rekomolekt';}
elseif($inf['type'] == 'aptechka'){$text = 'Аптечка';$type = 'aptechka';}
elseif($inf['type'] == 'ognetushitel'){$text = 'Огнетушитель';$type = 'ognetushitel';}
elseif($inf['type'] == 'toplivo'){$text = 'Топливо';$type = 'toplivo';}
elseif($inf['type'] == 'snaryadBB'){$text = 'Бронебойный снаряд';$type = 'snaryadBB';}
elseif($inf['type'] == 'snaryadOF'){$text = 'Осколочно - фугасный снаряд';$type = 'snaryadOF';}
elseif($inf['type'] == 'snaryadKS'){$text = 'Кумулятивный снаряд';$type = 'snaryadKS';}
elseif($inf['type'] == 'pitanie'){$text = 'Питание';$type = 'pitanie';}
elseif($inf['type'] == 'allparam'){$text = 'Повышение всех параметров';$type = 'allparam';}

echo "<select name = 'type'>
<option value = '$type'>>$text<</option>
<option value = 'rekomolekt'>Рекомлект</option>
<option value = 'aptechka'>Аптечка</option>
<option value = 'ognetushitel'>Огнетушитель</option>
<option value = 'toplivo'>Топливо</option>
<option value = 'snaryadBB'>Бронебойный снаряд</option>
<option value = 'snaryadOF'>Осколочно - фугасный снаряд</option>
<option value = 'snaryadKS'>Кумулятивный снаряд</option>
<option value = 'pitanie'>Питание</option>
<option value = 'allparam'>Повышение всех параметров</option>
</select></br>
Процент выбранного типа от 1 до 100%
<input name = 'xp' value = '".$inf['xp']."'></br>

<input type='submit' value='Изменить'>
</form>";
echo "<a href = '/magazine/view/".$inf['id']."/'>Скрыть</a><br />";
}else{
echo "<a href = '/magazine/view/".$inf['id']."/admin/'>Изменить товар</a><br />";
}
}


echo "<div class='mb0 inbl'>
<div class='thumb fl'><img src='".$inf['img']."' alt='' title=''><span class='mask2'>&nbsp;</span></div>
<div class='ml58 small white sh_b bold'>
<span class='green2'>".$inf['name']."</span><br>";

echo "Цена 1шт:";
if($inf['gold'] > '0'){echo "<span class='yellow1'><img class='ico vm' src='/instalscript/images/icons/gold.png' alt='Золото' title='Золото'> ".$inf['gold']."</span>";}
if($inf['silver'] > '0'){echo "<span class='yellow1'><img class='ico vm' src='/instalscript/images/icons/silver.png' alt='Серебро' title='Серебро'> ".$inf['silver']."</span>";}


if($is['3'] == 'o'){
echo "<div class = 'required'>".logs()."</div>";
logn();
}




echo "</div>
<div class='clrb'></div>
</div>
<div class='esmall gray1 sh_b mt1 mb2 cntr'>".$inf['info']."</div>";
if($is['3'] != 'sale'){
if($is['3'] == 'check'){
$amount = abs($_SESSION['amount']);
if($inf['silver'] > '0'){$silver = $amount * $inf['silver'];}
if($inf['gold'] > '0'){$gold = $amount * $inf['gold'];}
if($silver > $user['silver'] or $gold > $user['gold']){
header("Location:/magazine/view/".$inf['id']."/sale/check/not/");
exit();
}else{
$type =mysql_fetch_assoc(mysql_query("SELECT * FROM `uamunition` WHERE `aid` = '".$inf['id']."' "));
if($type == null){
mysql_query("INSERT INTO `uamunition` SET `uid` = '".$uid."',`aid` = '".$inf['id']."',`kol` = '".$amount."',`time` = '".(time())."' ");
}else{
mysql_query("UPDATE `uamunition` SET `kol` = `kol` + '".$amount."' WHERE `uid` = '".$uid."' AND `aid` = '".$inf['id']."' ");
}
mysql_query("UPDATE `users` SET `silver` = `silver` - '".$silver."',`gold` = `gold` - '".$gold."' WHERE `id` = '".$uid."' ");
logi("Спасибо за покупку");
header("Location:/magazine/view/".$inf['id']."/o/");
exit();
}


}

echo "
<div class='bot'>
<table>
<tbody><tr>
<td class='w50 pr1'><a class='simple-but border' href='/magazine/view/".$inf['id']."/sale/'><span><span>Купить</span></span></a></td>
</tr>
</tbody></table>
</div>";
}else{
if($is['4'] == 'check'){

if($is['5'] == 'not'){$amount = $_SESSION['amount'];}else{$amount = abs($_POST['amount']);}
if($inf['silver'] > '0'){$silver = $amount * $inf['silver'];}
if($inf['gold'] > '0'){$gold = $amount * $inf['gold'];}
if($silver > $user['silver'] && $gold > $user['gold']){logi("Нехватает средств");}else{
if($silver > $user['silver']){logi("Нехватет серебра");}
if($gold > $user['gold']){logi("Нехватет золота");}
}
if($silver <= $user['silver'] && $gold <= $user['gold']){
$_SESSION['amount'] = $amount;
header("Location:/magazine/view/".$inf['id']."/sale/ok/");
exit();
}else{

$_SESSION['amount'] = null;
}
header("Location:/magazine/view/".$inf['id']."/sale/");
exit();
}
if($is['4'] == 'ok'){
echo "Вы действительно хотите купить ".$inf['name']." в количестве ".$_SESSION['amount']."шт. ?";
echo "<div class = 'bot'><a class='simple-but border' href='/magazine/view/".$inf['id']."/check/'><span><span>Да</span></span></a></div>
";

}else{
if(logs() != null){
echo"<div class = 'error'>".logs()."</div>";
logn();
}



echo "
<div class = 'mt5 mb5 small green1 cntr'>За покупку от 100 едениц товара скидка в 20%</div>";

echo "<div class='ml58 small white sh_b bold'>";
echo "Цена 1шт:";
if($inf['gold'] > '0'){echo "<span class='yellow1'><img class='ico vm' src='/instalscript/images/icons/gold.png' alt='Золото' title='Золото'> ".$inf['gold']."</span>";}
if($inf['silver'] > '0'){echo "<span class='yellow1'><img class='ico vm' src='/instalscript/images/icons/silver.png' alt='Серебро' title='Серебро'> ".$inf['silver']."</span>";}
echo "</br>Цена 100шт:";
if($inf['gold'] > '0'){echo "<span class='yellow1'><img class='ico vm' src='/instalscript/images/icons/gold.png' alt='Золото' title='Золото'> ".round((($inf['gold']/100)*80)*100)."</span>";}
if($inf['silver'] > '0'){echo "<span class='yellow1'><img class='ico vm' src='/instalscript/images/icons/silver.png' alt='Серебро' title='Серебро'> ".round((($inf['silver']/100)*80)*100)."</span>";}
echo "</div>";

echo "<form action = '/magazine/view/".$inf['id']."/sale/check/' method='post'>
Количество:
<input class = 'chat-msg-panel' name='amount' type='text' value = '1'>
<div class='bot'><span class='input-but border'><span><input class='w100' type='submit' value='Купить'></span></span></div>
</form>
";
}

}


}

echo "
</div>
</div></div></div></div></div></div></div></div>
</div>
";
echo "<a class='simple-but border gray mb1' href='/magazine'><span><span style = 'text-align: left;'>Вернуться в магазин</span></span></a>";

break;
}

foot($uid);
?>